import { Observable } from 'rxjs';
import { StorageChangeArguments } from './storage-change-arguments.interface';
export declare abstract class CoolStorageBase {
    private _storageObject;
    private _itemSetSubject;
    private _itemRemovedSubject;
    constructor(storageObject: any, storageObjectName: string);
    readonly itemSetObservable: Observable<StorageChangeArguments>;
    readonly itemRemovedObservable: Observable<StorageChangeArguments>;
    getItem(key: string): string;
    setItem(key: string, value: string): void;
    removeItem(key: string): void;
    key(index: number): string;
    clear(): void;
    readonly length: number;
    getObject<T>(key: string): T;
    tryGetObject<T>(key: string): T;
    setObject(key: string, value: any): void;
    private _setItemInStorage(key, value);
}
